Skip to content

# Interface: CheckboxProps<T>

Renderer.Component.CheckboxProps

## Type parameters

Name | Type
--- | ---
`T` | `T` = `boolean`

## Table of contents

### Properties

- className
- disabled
- inline
- label
- theme
- value

### Methods

- onChange

## Properties

### className

• `Optional` className: `string`

### disabled

• `Optional` disabled: `boolean`

### inline

• `Optional` inline: `boolean`

### label

• `Optional` label: `ReactNode`

### theme

• `Optional` theme: `"light"` | `"dark"`

### value

• `Optional` value: `T`

## Methods

### onChange

▸ `Optional` onChange(`value`, `evt`): `void`

#### Parameters

Name | Type
--- | ---
`value` | `T`
`evt` | `ChangeEvent`<HTMLInputElement>

#### Returns

`void`